
body{
	font-family: "arial";
	position: relative;
}

.title{
	text-transform: uppercase;
	letter-spacing: 5px;
}

#level{
	text-transform: uppercase;
	font-size: 12px;
	margin-top:15px;

}

#container{
	margin-left: 45px;
	position: relative;
	height: 100%;
}

.clue{
	font-size: 15px;
	font-style: italic;
	margin-top:2px;
}

.letter{
	text-align: center;
	width: 45px;

	font-size: 20px;
	font-family: "arial";
	padding: 0;
	margin: 0;
	box-sizing: border-box;
	padding-top: 10px;
	padding-bottom: 10px;

	border: 1px solid #FAFAFA;

	user-select: none;
	-moz-user-select: none;
	-khtml-user-select: none;
	-webkit-user-select: none;
	-o-user-select: none;

	position: relative;
}

.letter div{
    position: absolute;
    bottom: 0;
    right: 0;
    font-size: 10px;
    padding: 2px;
    color: #999;
}

.letter.solved div{
	color: #4a662e;
}

.mutable{
	border: 1px solid #999;
}

.num{
    width: 60px;
    float: left;
    margin-top: 46px;
    margin-left: 10px;
    font-size: 10px;
}

.num div{
	display: flex;
    justify-content: center;
    align-items: center;
   
    width: 25px;
    height: 25px;
   
    float:left;
}

.sum{
	 background-color: #777;
	 color:white;
	 border-radius: 10px 0px 0px 10px;
}

.goal{
	 background-color:white;
	 color: #777;
	 border:1px solid #777;
	 box-sizing: border-box;
	 border-radius: 0px 10px 10px 0px;
}

.num.solved .sum{
	background-color: #89be55 !important;
}

.num.solved .goal{
	border:1px solid #89be55 !important;
	color: #89be55 !important;
}


.instruction{
	font-size: 10px;
}


.blank{
	width: 45px;
	float:left;
	height: 45px;
	margin-right: 10px;
}

#code .blank .letter{
	margin-top:38px;
	background-color: #EEE;
}

#cipher .blank .letter{
	margin-top: 38px;
	background-color: #FAFAFA;
}

#code{
	margin-top: 5px;
	height: 123px;
}

#cipher{
	height: 130px;
	margin-top:45px;
}

.button{
	width: 45px;
	height: 25px;
	box-sizing: border-box;
	cursor: pointer;
	opacity: 0.5;
	background: none;
}

.button:hover{
	opacity: 1.0;
}

.up{
	margin-bottom: 0px;
	background-image: url(up.png);
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;

}

.down{
	margin-top: 0px;
	background-image: url(up.png);
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	transform: rotate(180deg);
}

.squish{
	border: none;
}

.scale1{
	transform: scaleY(0.5);
	margin-top: -17%;
	opacity: 0.25;
}

.scale2{
	transform: scaleY(0.25);
	opacity: 0.125;
	margin-top: -57.0%;
	margin-bottom: -32%;

}

.scale-1{
	transform: scaleY(0.5);
	opacity: 0.25;
	margin-bottom: -17%;
}

.scale-2{
	transform: scaleY(0.25);
	opacity: 0.125;
	margin-bottom: -57%;
	margin-top: -32%;
}

#code .tumbler{
	background-color: #EEE;
}

#cipher .tumbler{
	background-color: #FAFAFA;
}


div.letter{
}

.tumbler{
	float: left;
	margin-right: 10px;
}

.spacer{ 
	width: 10px;
    height: 45px;
    margin-left: -10px;
    margin-right: -10px;
    border-top: 1px solid black;
    border-bottom: 1px solid black;
   	background-color: white;
    box-sizing: border-box;
    background-color: white !important;
}

#code .spacer{
	 margin-top: 38px;
}

#cipher .spacer{
	 margin-top: 63px;
}

.big.solved{
	background-color: #89be55 !important;
	border:1px solid #89be55;
}



.code{
	background-color: #EEE;

}

.selected{
	background-color: red !important;
}

.next{
	position: absolute;
	bottom: 25px;
	background-color: #4CAF50;
	border: none;
	color: white;
	padding: 16px 32px;
	text-decoration: none;
	margin: auto;
	left: 0px;
	cursor: pointer;
	display: inline-block;
	width: 70px;
    text-align: center;

}

h4,h3{
	margin:0;
}

.next.locked{

	background-color: red;
	cursor: default;
}







